de.esprit.netsuite.transl

## Enum TrEnsStat

- java.lang.Object
- - java.lang.Enum<TrEnsStat>
  - - de.esprit.netsuite.transl.TrEnsStat

- All Implemented Interfaces:
    NlsDatabaseKey, NlsKey, java.io.Serializable, java.lang.Comparable<TrEnsStat>

      public enum TrEnsStat
      extends java.lang.Enum<TrEnsStat>
      implements NlsDatabaseKey

  Translations for server statistic fields
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AGENT_COUNT`
    `AGENT_DENIALS`
    `ALLOC_MEM`
    `CLIENT_COUNT`
    `EXPECTED_USERS`
    `FAILED_AGENTS`
    `FAILED_LOGINS`
    `FAILED_REQUESTS`
    `FAILED_TRANSFERS`
    `FILE_DOWNLOAD_COUNT`
    `FILE_UPLOAD_COUNT`
    `LOCK_COUNT`
    `LOCK_DENIALS`
    `MAX_AGENT_DURATION`
    `MAX_CLIENT_COUNT`
    `MAX_CONN_DURATION`
    `MAX_LOCK_COUNT`
    `MAX_LOCK_DURATION`
    `MAX_MESSG_QUEUED`
    `MAX_PARALLEL_AGENTS`
    `MAX_PROC_DURATION`
    `MAX_REQUESTS`
    `MAX_TRANSFERS`
    `MESSAGE_COUNT`
    `MESSG_PER_MINUTE`
    `PARALLEL_REQUESTS`
    `PARALLEL_TRANSFERS`
    `PROC_COUNT`
    `PROCS_QUEUED`
    `REQS_PER_MINUTE`
    `REQUEST_COUNT`
    `REQUEST_DENIALS`
    `SLEEPER_AGENTS`
    `START_TIME`
    `UP_TIME`
    `USED_MEM`
    `WORKER_AGENTS`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.String fullColumnName)` Ensures that this instance can directly be compared with a table.column name
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `java.lang.String` | `getColumnName()`
    `java.lang.String` | `getFullName()`
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getTableName()`
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `java.lang.String` | `getTipText()`
    `static TrEnsStat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TrEnsStat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

- - ### Enum Constant Detail

    - #### START_TIME

          public static final TrEnsStat START_TIME

    - #### UP_TIME

          public static final TrEnsStat UP_TIME

    - #### ALLOC_MEM

          public static final TrEnsStat ALLOC_MEM

    - #### USED_MEM

          public static final TrEnsStat USED_MEM

    - #### REQUEST_COUNT

          public static final TrEnsStat REQUEST_COUNT

    - #### PARALLEL_TRANSFERS

          public static final TrEnsStat PARALLEL_TRANSFERS

    - #### MAX_TRANSFERS

          public static final TrEnsStat MAX_TRANSFERS

    - #### PARALLEL_REQUESTS

          public static final TrEnsStat PARALLEL_REQUESTS

    - #### MAX_REQUESTS

          public static final TrEnsStat MAX_REQUESTS

    - #### EXPECTED_USERS

          public static final TrEnsStat EXPECTED_USERS

    - #### REQS_PER_MINUTE

          public static final TrEnsStat REQS_PER_MINUTE

    - #### REQUEST_DENIALS

          public static final TrEnsStat REQUEST_DENIALS

    - #### FILE_UPLOAD_COUNT

          public static final TrEnsStat FILE_UPLOAD_COUNT

    - #### FILE_DOWNLOAD_COUNT

          public static final TrEnsStat FILE_DOWNLOAD_COUNT

    - #### CLIENT_COUNT

          public static final TrEnsStat CLIENT_COUNT

    - #### MAX_CLIENT_COUNT

          public static final TrEnsStat MAX_CLIENT_COUNT

    - #### MAX_CONN_DURATION

          public static final TrEnsStat MAX_CONN_DURATION

    - #### AGENT_COUNT

          public static final TrEnsStat AGENT_COUNT

    - #### WORKER_AGENTS

          public static final TrEnsStat WORKER_AGENTS

    - #### MESSAGE_COUNT

          public static final TrEnsStat MESSAGE_COUNT

    - #### MAX_MESSG_QUEUED

          public static final TrEnsStat MAX_MESSG_QUEUED

    - #### MESSG_PER_MINUTE

          public static final TrEnsStat MESSG_PER_MINUTE

    - #### SLEEPER_AGENTS

          public static final TrEnsStat SLEEPER_AGENTS

    - #### MAX_PARALLEL_AGENTS

          public static final TrEnsStat MAX_PARALLEL_AGENTS

    - #### MAX_AGENT_DURATION

          public static final TrEnsStat MAX_AGENT_DURATION

    - #### AGENT_DENIALS

          public static final TrEnsStat AGENT_DENIALS

    - #### LOCK_COUNT

          public static final TrEnsStat LOCK_COUNT

    - #### MAX_LOCK_COUNT

          public static final TrEnsStat MAX_LOCK_COUNT

    - #### LOCK_DENIALS

          public static final TrEnsStat LOCK_DENIALS

    - #### MAX_LOCK_DURATION

          public static final TrEnsStat MAX_LOCK_DURATION

    - #### PROC_COUNT

          public static final TrEnsStat PROC_COUNT

    - #### PROCS_QUEUED

          public static final TrEnsStat PROCS_QUEUED

    - #### MAX_PROC_DURATION

          public static final TrEnsStat MAX_PROC_DURATION

    - #### FAILED_TRANSFERS

          public static final TrEnsStat FAILED_TRANSFERS

    - #### FAILED_AGENTS

          public static final TrEnsStat FAILED_AGENTS

    - #### FAILED_REQUESTS

          public static final TrEnsStat FAILED_REQUESTS

    - #### FAILED_LOGINS

          public static final TrEnsStat FAILED_LOGINS

  - ### Method Detail

    - #### values

          public static TrEnsStat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrEnsStat c : TrEnsStat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrEnsStat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

    - #### getTipText

          public java.lang.String getTipText()

      Specified by:
        `getTipText` in interface `NlsDatabaseKey`

    - #### getTableName

          public java.lang.String getTableName()

      Specified by:
        `getTableName` in interface `NlsDatabaseKey`

    - #### getColumnName

          public java.lang.String getColumnName()

      Specified by:
        `getColumnName` in interface `NlsDatabaseKey`

    - #### getFullName

          public java.lang.String getFullName()

      Specified by:
        `getFullName` in interface `NlsDatabaseKey`

    - #### equals

          public boolean equals(java.lang.String fullColumnName)

      Description copied from interface: `NlsDatabaseKey`
      Ensures that this instance can directly be compared with a table.column name
      Specified by:
        `equals` in interface `NlsDatabaseKey`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.